Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hyperion.css
Class CSSInvalidIdentityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.hyperion.css.CSSException
                        |
                        +--com.hyperion.css.CSSInvalidIdentityException

All Implemented Interfaces:
  CSSAppExceptionIF, java.io.Serializable

public class CSSInvalidIdentityException
extends CSSException

This exception, if thrown, implies that the identity is invalid or not in the correct format.

See Also:
  `CSSAppExceptionIF.INVALID_IDENTITY_EXCEPTION`, Serialized Form

Field Summary

Fields inherited from interface com.hyperion.css.CSSAppExceptionIF
`AUTHENTICATION_EXCEPTION, COMMUNICATION_EXCEPTION, CONFIGURATION_EXCEPTION, DIRECTORY_UNTRUSTED_EXCEPTION, GENERAL_EXCEPTION, ILLEGAL_ARGUMENT_EXCEPTION, INVALID_GROUP_EXCEPTION, INVALID_IDENTITY_EXCEPTION, INVALID_USER_EXCEPTION, NO_PROVIDER_EXCEPTION, OPERATION_NOT_SUPPORTED_EXCEPTION, SECURITY_AGENT_NOT_CONFIGURED, TOKEN_CANNOT_BE_DECRYPTED, TOKEN_CANNOT_BE_ENCRYPTED, TOKEN_NOT_ACCEPTED_EXCEPTION, TOKEN_NOT_AVAILABLE_EXCEPTION, USER_NOT_FOUND_EXCEPTION`

Constructor Summary
`CSSInvalidIdentityException()` Constructor with no arguments.
`CSSInvalidIdentityException(java.lang.String explanation)` Constructor with explanation argument.
`CSSInvalidIdentityException(java.lang.String explanation, long errorCode)` Constructor with explanation and errorCode arguments.
`CSSInvalidIdentityException(java.lang.String explanation, java.lang.Throwable rootException)` Constructor with explanation and rootException arguments.
`CSSInvalidIdentityException(java.lang.Throwable rootException)` Constructor with rootException argument.

Method Summary
`long` | `getErrorCode()` Gets the error Code.
`void` | `setErrorCode(long errorCode)` Sets the error code.

Methods inherited from class com.hyperion.css.CSSException
`getMessage, getProvider, getRootCause, printStackTrace, printStackTrace, printStackTrace, setLocale, setRootCause, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CSSInvalidIdentityException

    public CSSInvalidIdentityException(java.lang.String explanation)

  Constructor with explanation argument.

Parameters:
  `explanation` - String that states the reason for the exception.

### CSSInvalidIdentityException

    public CSSInvalidIdentityException(java.lang.String explanation,
                                       long errorCode)

  Constructor with explanation and errorCode arguments.

Parameters:
  `explanation` - String that states the reason for the exception.
  `errorCode` - Specifies the type of error and is associated with an exception class.

### CSSInvalidIdentityException

    public CSSInvalidIdentityException(java.lang.Throwable rootException)

  Constructor with rootException argument.

Parameters:
  `rootException` - The exception that caused this exception.

### CSSInvalidIdentityException

    public CSSInvalidIdentityException(java.lang.String explanation,
                                       java.lang.Throwable rootException)

  Constructor with explanation and rootException arguments.

Parameters:
  `explanation` - String that states the reason for the exception.
  `rootException` - The exception that caused this exception.

### CSSInvalidIdentityException

    public CSSInvalidIdentityException()

  Constructor with no arguments.

Method Detail

### getErrorCode

    public long getErrorCode()

  Gets the error Code. Need to override this method so that the right error code gets assigned. Note that Java methods are virtual but not instance variables.

  Specified by:
    `getErrorCode` in interface `CSSAppExceptionIF`
  Overrides:
    `getErrorCode` in class `CSSException`
  Returns:
    long - the error code

### setErrorCode

    public void setErrorCode(long errorCode)

  Sets the error code.

  Specified by:
    `setErrorCode` in interface `CSSAppExceptionIF`
  Overrides:
    `setErrorCode` in class `CSSException`
  Parameters:
    `errorCode` - Specifies the type of error and is associated with an exception class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD